summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Xavier Maillard2011-10-15 14:46:20 +0200
committer Niels Horn2011-10-22 14:17:07 +0200
commit183ee1043c5b6104b03e72644775019f27aba3b4 (patch)
tree2baea6365f4cd1753a33f79f4b1ae3f1a31c08ba
parentb663f5c1fefcd902bdeaf686af376b68a889349c (diff)
downloadslackbuilds-183ee1043c5b6104b03e72644775019f27aba3b4.tar.gz
games/ho1: Added (Manager tool for http://hattrick.org game.)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--games/ho1/README3
-rw-r--r--games/ho1/ho1.SlackBuild47
-rw-r--r--games/ho1/ho1.info10
-rw-r--r--games/ho1/slack-desc19
4 files changed, 79 insertions, 0 deletions
diff --git a/games/ho1/README b/games/ho1/README
new file mode 100644
index 0000000000..78f2c13e87
--- /dev/null
+++ b/games/ho1/README
@@ -0,0 +1,3 @@
+Hattrick organizer (ho1) is a full featured soccer team manager where
+players can create teams, coach team and compete online. You will be
+able to control and view your hattrick team from your desktop.
diff --git a/games/ho1/ho1.SlackBuild b/games/ho1/ho1.SlackBuild
new file mode 100644
index 0000000000..1586015948
--- /dev/null
+++ b/games/ho1/ho1.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for hattrick-organizer
+
+# Written by Xavier Maillard <xavier@maillard.im>
+
+PRGNAM=ho1
+VERSION=${VERSION:-1.430}
+VERSIONSRC=${VERSIONSRC:-1430}
+EXTRAVERSION=${EXTRAVERSION:-r894}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch # Java
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio $CWD/HO_${VERSIONSRC}_${EXTRAVERSION}.rpm | cpio -idmv
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 644 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp -ap usr $PKG/
+rm -rf $PKG/usr/share/doc
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a usr/share/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ho1/ho1.info b/games/ho1/ho1.info
new file mode 100644
index 0000000000..7c48db1f7b
--- /dev/null
+++ b/games/ho1/ho1.info
@@ -0,0 +1,10 @@
+PRGNAM="ho1"
+VERSION="1.430"
+HOMEPAGE="http://hattrickorganizer.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/ho1/ho1/1.430/HO_1430_r894.rpm"
+MD5SUM="ee6b9d421040f2e2dc3b97d5fc0e79ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Xavier Maillard"
+EMAIL="xavier+slackbuilds@maillard.im"
+APPROVED="Erik Hanson"
diff --git a/games/ho1/slack-desc b/games/ho1/slack-desc
new file mode 100644
index 0000000000..1897bee4bb
--- /dev/null
+++ b/games/ho1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-----------------------------------------------------------|
+ho1: ho1 (Manager tool for http://hattrick.org game.)
+ho1:
+ho1: Hattrick organizer (ho1) is a full featured soccer team manager where
+ho1: players can create teams, coach team and compete online. You will be
+ho1: able to control and view your hattrick team from your desktop.
+ho1:
+ho1: http://www.hattrickorganizer.net
+ho1:
+ho1:
+ho1:
+ho1: